Bug 1047030 - [abrt] gconf-editor: _g_log_abort(): gconf-editor killed by SIGABRT
Summary: [abrt] gconf-editor: _g_log_abort(): gconf-editor killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gconf-editor
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:63308ffac28fb0d64cf22442313...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-28 14:58 UTC by Paul Dugas
Modified: 2015-06-29 13:53 UTC (History)
19 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 13:53:10 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (33.24 KB, text/plain)
2013-12-28 14:58 UTC, Paul Dugas
no flags Details
File: cgroup (172 bytes, text/plain)
2013-12-28 14:58 UTC, Paul Dugas
no flags Details
File: core_backtrace (17.67 KB, text/plain)
2013-12-28 14:58 UTC, Paul Dugas
no flags Details
File: dso_list (8.89 KB, text/plain)
2013-12-28 14:58 UTC, Paul Dugas
no flags Details
File: environ (3.01 KB, text/plain)
2013-12-28 14:58 UTC, Paul Dugas
no flags Details
File: limits (1.29 KB, text/plain)
2013-12-28 14:58 UTC, Paul Dugas
no flags Details
File: maps (47.23 KB, text/plain)
2013-12-28 14:58 UTC, Paul Dugas
no flags Details
File: open_fds (582 bytes, text/plain)
2013-12-28 14:58 UTC, Paul Dugas
no flags Details
File: proc_pid_status (933 bytes, text/plain)
2013-12-28 14:58 UTC, Paul Dugas
no flags Details
File: var_log_messages (450 bytes, text/plain)
2013-12-28 14:58 UTC, Paul Dugas
no flags Details

Description Paul Dugas 2013-12-28 14:58:03 UTC
Description of problem:
Was running it normally setting the open-terminal property that opens HOME when opening a terminal from the desktop.

Version-Release number of selected component:
gconf-editor-3.0.1-6.fc20

Additional info:
reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        gconf-editor
crash_function: _g_log_abort
executable:     /usr/bin/gconf-editor
kernel:         3.12.5-302.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 _g_log_abort at gmessages.c:255
 #5 gconf_client_lookup at gconf-client.c:2369
 #6 gconf_client_key_is_writable at gconf-client.c:1415
 #7 gconf_editor_window_update_list_selection at gconf-editor-window.c:1131
 #8 _g_closure_invoke_va at gclosure.c:840
 #10 g_signal_emit_by_name at gsignal.c:3426
 #11 gtk_tree_view_row_deleted at gtktreeview.c:9165
 #16 gtk_tree_model_row_deleted at gtktreemodel.c:1867
 #17 gtk_tree_model_sort_row_deleted at gtktreemodelsort.c:1087
 #22 gtk_tree_model_row_deleted at gtktreemodel.c:1867

Comment 1 Paul Dugas 2013-12-28 14:58:08 UTC
Created attachment 842641 [details]
File: backtrace

Comment 2 Paul Dugas 2013-12-28 14:58:09 UTC
Created attachment 842642 [details]
File: cgroup

Comment 3 Paul Dugas 2013-12-28 14:58:11 UTC
Created attachment 842643 [details]
File: core_backtrace

Comment 4 Paul Dugas 2013-12-28 14:58:13 UTC
Created attachment 842644 [details]
File: dso_list

Comment 5 Paul Dugas 2013-12-28 14:58:14 UTC
Created attachment 842645 [details]
File: environ

Comment 6 Paul Dugas 2013-12-28 14:58:16 UTC
Created attachment 842646 [details]
File: limits

Comment 7 Paul Dugas 2013-12-28 14:58:18 UTC
Created attachment 842647 [details]
File: maps

Comment 8 Paul Dugas 2013-12-28 14:58:19 UTC
Created attachment 842648 [details]
File: open_fds

Comment 9 Paul Dugas 2013-12-28 14:58:21 UTC
Created attachment 842649 [details]
File: proc_pid_status

Comment 10 Paul Dugas 2013-12-28 14:58:23 UTC
Created attachment 842650 [details]
File: var_log_messages

Comment 11 nvwarr 2014-01-16 07:12:10 UTC
Another user experienced a similar problem:

Start gconf-editor open up the tree, select an item in the right window, then click on a different path in the tree.

The same problem that occurred with F19 is still present in F20. See:

https://bugzilla.redhat.com/show_bug.cgi?id=999500

In particular see my comment at the end, which gives the link to the gnome bugzilla, where this was reported in 2012 and fixed back then by Edward Sheldrake. Applying his patch to the F20 version fixes the bug for me.

reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        gconf-editor
crash_function: _g_log_abort
executable:     /usr/bin/gconf-editor
kernel:         3.12.7-300.fc20.x86_64
package:        gconf-editor-3.0.1-6.fc20
reason:         gconf-editor killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1250

Comment 12 Benjamin Bellec 2014-05-02 13:08:18 UTC
Same problem for me.
Just browsing the entries...

Comment 13 Reverend Homer 2014-07-05 18:08:30 UTC
Another user experienced a similar problem:

Switching menu entries

reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        gconf-editor
crash_function: _g_log_abort
executable:     /usr/bin/gconf-editor
kernel:         3.14.9-200.fc20.x86_64
package:        gconf-editor-3.0.1-6.fc20
reason:         gconf-editor killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 Fedora End Of Life 2015-05-29 10:12:15 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2015-06-29 13:53:10 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.